### Interface

# Phosh DBusHostname1

since: 0

#### Description [src]

    interface Phosh.DBusHostname1 : GObject.Object

Abstract interface type for the D-Bus interface org.freedesktop.hostname1.

Available since: 0

#### Prerequisite

In order to implement DBusHostname1, your type must inherit from`GObject`.

#### Implementations

- PhoshDBusHostname1Proxy
- PhoshDBusHostname1Skeleton

#### Functions

###### phosh_dbus_hostname1_interface_info

Gets a machine-readable description of the org.freedesktop.hostname1 D-Bus interface.

since: 0

###### phosh_dbus_hostname1_override_properties

Overrides all `GObject` properties in the `PhoshDBusHostname1` interface for a concrete class. The properties are overridden in the order they are defined.

since: 0

#### Instance methods

###### phosh_dbus_hostname1_dup_chassis

Gets a copy of the “Chassis” D-Bus property.

since: 0

###### phosh_dbus_hostname1_get_chassis

Gets the value of the “Chassis” D-Bus property.

since: 0

###### phosh_dbus_hostname1_set_chassis

Sets the “Chassis” D-Bus property to `value`.

since: 0

#### Properties

###### Phosh.DBusHostname1:chassis

Represents the D-Bus property “Chassis”.

since: 0

#### Interface structure

    struct PhoshDBusHostname1Iface {
      GTypeInterface parent_iface;
      const gchar* (* get_chassis) (
        PhoshDBusHostname1* object
      );

    }

Virtual table for the D-Bus interface org.freedesktop.hostname1.

###### Interface members

`parent_iface`

    GTypeInterface

| The parent interface.

`get_chassis`

    const gchar* (* get_chassis) (
        PhoshDBusHostname1* object
      )

| Getter for the `PhoshDBusHostname1:chassis` property.

#### Virtual methods

###### Phosh.DBusHostname1.get_chassis

Gets the value of the “Chassis” D-Bus property.

since: 0